Opened 10 years ago

Closed 10 years ago

#2165 closed enhancement (fixed)

Add support for new API versions

Reported by: Lambertus Owned by: osm@…
Priority: major Milestone:
Component: yours Version:
Keywords: api version Cc:

Description

Add support for multiple API versions to the current 1.0 version. This should ease the transition between API versions in the future for 3rd party developers.

Change History (6)

comment:1 Changed 10 years ago by lambertus

(In [16999]) Add files to API version 1.0 directory (refs #2165)

comment:2 Changed 10 years ago by Lambertus

Resolution: fixed
Status: newclosed

comment:3 Changed 10 years ago by Lambertus

Resolution: fixed
Status: closedreopened

comment:4 Changed 10 years ago by lambertus

(In [17005]) Delete old version 1.0 API files to be replaced by a symlink to the file in the new version 1.0 API directory later (refs #2165)

comment:5 Changed 10 years ago by lambertus

(In [17006]) Make old API 1.0 files a simlink from the files in the new API 1.0 directory (refs #2165)

comment:6 Changed 10 years ago by Lambertus

Resolution: fixed
Status: reopenedclosed
Note: See TracTickets for help on using tickets.